%define major 0.8
%define oname clutter-box2d
Name: libclutter-box2d
Version: %major.0
Release: alt1

Summary: Library integrating clutter with Box2D (a 2D physics engine for games)

License: LGPL v2+
Group: System/Libraries
Url: http://www.clutter-project.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.clutter-project.org/sources/clutter-box2d/%major/%oname-%version.tar.bz2

BuildPreReq: rpm-build-compat

# Automatically added by buildreq on Fri Dec 12 2008
BuildRequires: db2latex-xsl gcc-c++ gtk-doc libGL-devel libclutter-devel

%description
Box2D is a 2D physics engine for games.

For help with Box2D, please visit http://www.box2d.org. There is a forum
there where you may post your questions.

%package devel
Summary: Header files for %oname library
Group: Development/Other
Requires: %name = %version-%release
Requires: libclutter-devel >= %major

%description devel
Header files for %oname library.

%package apidocs
Summary: %oname API documentation
Group: Documentation

%description apidocs
%oname API documentation.

%prep
%setup -q -n %oname-%version
#%patch -p1

%build
%__autoreconf
%configure \
	--enable-gtk-doc \
	--disable-static \
	--with-html-dir=%_gtkdocdir

%make_build

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog README
%_libdir/lib%oname-*.so.*

%files devel
%_libdir/lib%oname-*.so
%_includedir/clutter-%major/%oname/
%_pkgconfigdir/%oname-*.pc

%files apidocs
%_gtkdocdir/%oname

%changelog
* Fri Nov 28 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.0-alt1
- initial build for ALT Linux Sisyphus

